
Robotics Service Bus - Enhancement #401
Add MetaData::setUserTime Methods for additional Timestamp Types
07/03/2011 02:15 PM - J. Moringen

Status: Resolved Start date: 07/03/2011
Priority: Low Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: 0.5
Description
Ideas:
    -  boost::posix_time::ptime
    -  double as suggested in #381

Related issues:
Related to Robotics Service Bus - Feature # 381: Timestamp compatibilty to RO... New 06/21/2011
Related to Robotics Service Bus - Enhancement # 396: Add an Event MetaData ex... Closed 06/28/2011

Associated revisions
Revision 778699f1 - 09/12/2011 05:42 PM - J. Wienke

remove duplicated code for timestamp setting

refs #401

Revision e847296d - 09/12/2011 06:00 PM - J. Wienke

add methods for double-based timestamp setting in MetaData

refs #401

Revision 1c22b016 - 09/12/2011 06:42 PM - J. Wienke

add conversion from ptime

fixes #401

History
#1 - 07/25/2011 06:10 PM - S. Wrede
- Target version changed from rsb-0.10 to 0.4

#2 - 07/25/2011 06:11 PM - S. Wrede
- Priority changed from Normal to Low

#3 - 08/09/2011 10:15 AM - J. Moringen
- Target version changed from 0.4 to rsb-0.10

#4 - 09/12/2011 05:36 PM - J. Wienke
- Status changed from New to In Progress
#5 - 09/12/2011 05:36 PM - J. Wienke
- Assignee set to J. Wienke

#6 - 09/12/2011 06:42 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r2572.

#7 - 10/27/2011 08:16 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
